## kdeplasma-addons 4.3.2

=== CMakeLists.txt ===
project(kdeplasma-addons)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
include (KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalDependPackage)

find_package(KDE4Workspace REQUIRED)
find_package(KdepimLibs REQUIRED)
find_package(Boost)

macro_optional_find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "API for developing portable, interactive 2D and 3D graphics applications" "http://mesa3d.sourceforge.net" FALSE "" "STRONGLY RECOMMENDED: The 3D hardware acceleration available through the OpenGL API is used in applications ranging from graphics and modellers to screensavers and video players.")

macro_optional_find_package(Nepomuk)
macro_log_feature(NEPOMUK_FOUND "Nepomuk" "Handles all kinds of metadata on the KDE desktop to provide a semantic desktop" "http://nepomuk.kde.org/" FALSE "" "STRONGLY_RECOMMENDED: Nepomuk is used to provide metadata on objects like files, emails etc. to provide a semantic desktop.")
macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)

macro_optional_depend_package(Marble "Marble")
if (DEPEND_PACKAGE_Marble)
  macro_optional_find_package(Marble)
else (DEPEND_PACKAGE_Marble)
  set (MARBLE_FOUND FALSE)
endif (DEPEND_PACKAGE_Marble)
macro_log_feature(MARBLE_FOUND "Marble" "Desktop Globe" "http://marble.kde.org" FALSE "" "RECOMMENDED: Marble is used to provide a desktop globe wallpaper for Plasma.")

if (NEPOMUK_FOUND)
  include_directories( ${SOPRANO_INCLUDE_DIR} ${NEPOMUK_INCLUDE_DIR} )
endif (NEPOMUK_FOUND)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES}
                     ${KDE4WORKSPACE_INCLUDE_DIR}
                     ${KDEPIMLIBS_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/libs)

add_subdirectory(libs)
add_subdirectory(applets)
add_subdirectory(dataengines)
add_subdirectory(runners)
add_subdirectory(scriptengines)
add_subdirectory(wallpapers)

macro_display_feature_log()

=== wallpapers/CMakeLists.txt ===
add_subdirectory(mandelbrot)
add_subdirectory(pattern)
add_subdirectory(weather)
add_subdirectory(virus)

if(MARBLE_FOUND)
    add_subdirectory(marble)
endif(MARBLE_FOUND)

=== applets/comic/CMakeLists.txt ===
project(plasma-comic)

set(comic_SRCS
    comic.cpp
    configwidget.cpp
    fullviewwidget.cpp
    fadingitem.cpp
    imagewidget.cpp
    arrowwidget.cpp)

kde4_add_ui_files( comic_SRCS comicSettings.ui appearanceSettings.ui )

kde4_add_plugin(plasma_applet_comic ${comic_SRCS})
target_link_libraries(plasma_applet_comic ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF2_LIBS} )

configure_file(config-nepomuk.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-nepomuk.h)
if(HAVE_NEPOMUK)
  target_link_libraries(plasma_applet_comic ${NEPOMUK_LIBRARIES} ${SOPRANO_LIBRARIES})
endif(HAVE_NEPOMUK)

install(TARGETS plasma_applet_comic DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-comic-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES comic.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== applets/eyes/CMakeLists.txt ===
project(eyes)

 
set(eyes_SRCS eyes.cpp)

kde4_add_plugin(plasma_applet_eyes ${eyes_SRCS})
target_link_libraries(plasma_applet_eyes
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_eyes
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-eyes.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES eyes.svg
	DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applets/frame/CMakeLists.txt ===
project(plasma-frame)
include (MacroLogFeature)

macro_optional_find_package(Kexiv2)
macro_log_feature(KEXIV2_FOUND "libkexiv2" "Library to access EXIF information" "http://www.kde.org" FALSE "0.2.0" "RECOMENDED: Enables automatic rotation for frame applet" )

macro_display_feature_log()

set(frame_SRCS
    frame.cpp
    slideshow.cpp
    picture.cpp
    configdialog.cpp)

kde4_add_ui_files(frame_SRCS imageSettings.ui appearanceSettings.ui)

macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)

kde4_add_plugin(plasma_applet_frame ${frame_SRCS})


if(HAVE_KEXIV2)
    include_directories( ${KEXIV2_INCLUDES} )
    set_source_files_properties(picture.cpp PROPERTIES 
                               COMPILE_FLAGS -DHAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} ${KEXIV2_LIBRARIES} )
else (HAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} )
endif(HAVE_KEXIV2)

install(TARGETS plasma_applet_frame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-frame-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES picture-frame-default.jpg DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-frame/)

=== applets/incomingmsg/CMakeLists.txt ===
# Project Needs a name ofcourse
project(plasma-incomingmsg)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(incomingmsg_SRCS incomingmsg.cpp)

# Now make sure all files get to the right place
kde4_add_ui_files(incomingmsg_SRCS widget.ui)
kde4_add_plugin(plasma_applet_incomingmsg ${incomingmsg_SRCS})

target_link_libraries(plasma_applet_incomingmsg
                      ${QT_QTNETWORK_LIBRARY} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_incomingmsg
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-incomingmsg.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/microblog/CMakeLists.txt ===
project(plasma-microblog)
include_directories(${CMAKE_CURRENT_SOURCE_DIR} )

set(microblog_SRCS
    microblog.cpp)
kde4_add_ui_files(microblog_SRCS configuration.ui)

kde4_add_plugin(plasma_applet_microblog ${microblog_SRCS})
target_link_libraries(plasma_applet_microblog ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_microblog DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-microblog.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
    microblog.svgz
    DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applets/timer/CMakeLists.txt ===

# Project needs a name of course
project(timer)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)


add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(timer_SRCS timer.cpp timerdigit.cpp customtimeeditor.cpp)
kde4_add_ui_files(timer_SRCS timerConfig.ui predefinedTimersConfig.ui)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_timer ${timer_SRCS})
target_link_libraries(plasma_applet_timer
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_timer
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-timer.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES timer.svgz
	DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

=== applets/unitconverter/CMakeLists.txt ===
# Project Needs a name ofcourse
project(UnitConverter)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${CONVERSION_INCLUDES}
)

# We add our source code here
set(unitconverter_SRCS unitconverter.cpp)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_unitconverter ${unitconverter_SRCS})
target_link_libraries(plasma_applet_unitconverter conversion
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_unitconverter
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-unitconverter.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/weather/CMakeLists.txt ===
project(weatherapplet)

set(weatherapplet_SRCS
    weatherapplet.cpp
    weatherview.cpp
    weatherdelegate.cpp)

kde4_add_plugin(plasma_applet_weather ${weatherapplet_SRCS})
target_link_libraries(plasma_applet_weather ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} plasmaweather weather_ion ${QT_QTWEBKIT_LIBRARY})

install(TARGETS plasma_applet_weather DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-weather.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES 
        wind-arrows.svgz 
        DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/weather/)

=== dataengines/ocs/CMakeLists.txt ===
include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${CMAKE_CURRENT_SOURCE_DIR}/lib )

add_subdirectory( lib )

set(ocs_engine_SRCS
   ocsengine.cpp
)


kde4_add_plugin(plasma_engine_ocs ${ocs_engine_SRCS})
target_link_libraries(plasma_engine_ocs ocsclient ${KDE4_KDECORE_LIBS}
  ${KDE4_PLASMA_LIBS} ${KDE4_SOLID_LIBS}  ${QT_QTNETWORK_LIBRARY} )

install(TARGETS plasma_engine_ocs DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-ocs.desktop DESTINATION ${SERVICES_INSTALL_DIR} )

=== libs/conversion/CMakeLists.txt ===
project(conversion)

set(conversion_LIB_SRCS
    converter.cpp
    value.cpp
    unit.cpp
    unitcategory.cpp
    length.cpp
    area.cpp
    volume.cpp
    temperature.cpp
    velocity.cpp
    mass.cpp
    pressure.cpp
    energy.cpp
    currency.cpp
    power.cpp
    timeunit.cpp
    fuel_efficiency.cpp
    conversioni18ncatalog.cpp
)

set(conversion_HEADERS
    converter.h
    value.h
    unit.h
    unitcategory.h
    plasmaconversion_export.h
)

kde4_add_library(conversion SHARED ${conversion_LIB_SRCS})
target_link_libraries(conversion ${KDE4_KIO_LIBS} ${KDE4_SOLID_LIBS})
set_target_properties(conversion PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS conversion ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${conversion_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/conversion COMPONENT Devel)
install(FILES FindConversion.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

## kdeplasma-addons 4.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,13 @@
 include(MacroOptionalDependPackage)
 
 find_package(KDE4Workspace REQUIRED)
-find_package(KdepimLibs REQUIRED)
+macro_optional_find_package(KdepimLibs)
+macro_log_feature(KDEPIMLIBS_FOUND "kdepimlibs" "KDE PIM libraries" "http://www.kde.org" FALSE "" "Needed for building several Plasma plugins")
 find_package(Boost)
+
+set(LIBATTICA_MIN_VERSION "0.1.1")
+macro_optional_find_package(LibAttica)
+macro_log_feature(LIBATTICA_FOUND "libattica" "Attica Library" "http://websvn.kde.org/trunk/kdesupport/attica/" FALSE "" "Needed for building the Open Collaboration Services plasma dataengine and applets")
 
 macro_optional_find_package(OpenGL)
 macro_log_feature(OPENGL_FOUND "OpenGL" "API for developing portable, interactive 2D and 3D graphics applications" "http://mesa3d.sourceforge.net" FALSE "" "STRONGLY RECOMMENDED: The 3D hardware acceleration available through the OpenGL API is used in applications ranging from graphics and modellers to screensavers and video players.")

=== libs/CMakeLists.txt ===
add_subdirectory(plasmaweather)
add_subdirectory(rtm)

=== applets/life/CMakeLists.txt ===
project(life)

set(life_SRCS life.cpp)

kde4_add_ui_files(life_SRCS lifeConfig.ui)
kde4_add_plugin(plasma_applet_life ${life_SRCS})
target_link_libraries(plasma_applet_life
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
 
install(TARGETS plasma_applet_life
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-life.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/mediaplayer/CMakeLists.txt ===
project(plasma-mediaplayer)

# We add our source code here
set(mediaplayer_SRCS
    mediaplayer.cpp
    dbus/playerdbushandler.cpp
    dbus/rootdbushandler.cpp
    dbus/tracklistdbushandler.cpp
)

QT4_ADD_DBUS_ADAPTOR(mediaplayer_SRCS dbus/org.freedesktop.MediaPlayer.player.xml
                     dbus/playerdbushandler.h PlayerDBusHandler playeradaptor PlayerAdaptor)
QT4_ADD_DBUS_ADAPTOR(mediaplayer_SRCS dbus/org.freedesktop.MediaPlayer.root.xml
                     dbus/rootdbushandler.h RootDBusHandler rootadaptor RootAdaptor)
QT4_ADD_DBUS_ADAPTOR(mediaplayer_SRCS dbus/org.freedesktop.MediaPlayer.tracklist.xml
                     dbus/tracklistdbushandler.h TrackListDBusHandler tracklistadaptor TrackListAdaptor)

#DBus interface for operations not supported by org.mpris stuff
QT4_ADD_DBUS_ADAPTOR(mediaplayer_SRCS org.kde.PlasmaMediaPlayer.xml
                     mediaplayer.h MediaPlayer)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_mediaplayer ${mediaplayer_SRCS})
target_link_libraries(plasma_applet_mediaplayer 
                      ${KDE4_PHONON_LIBS}
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${QT_QTDBUS_LIBRARY})



install(TARGETS plasma_applet_mediaplayer
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-mediaplayer.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/opendesktop-activities/CMakeLists.txt ===
project(plasma-opendesktop-activities)


set(activities_SRCS
    activities.cpp
    activitylist.cpp
    activitywidget.cpp
    contactimage.cpp
    sourcewatchlist.cpp
)

kde4_add_plugin(plasma_applet_opendesktop_activities ${activities_SRCS})

target_link_libraries(
    plasma_applet_opendesktop_activities
    ${KDE4_PLASMA_LIBS}
)

install(TARGETS plasma_applet_opendesktop_activities DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-opendesktop-activities.desktop DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES plasma-applet-opendesktop-activities.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-opendesktop-activities/)

=== dataengines/ocs/CMakeLists.txt ===

find_package(LibAttica REQUIRED)

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} ${LIBATTICA_INCLUDE_DIRS} ${CMAKE_CURRENT_SOURCE_DIR}/lib )
link_directories(${LIBATTICA_LIBRARY_DIRS})

set(ocs_engine_SRCS
   servicejobwrapper.cpp
   personservice.cpp
   ocsengine.cpp
)

kde4_add_plugin(plasma_engine_ocs ${ocs_engine_SRCS})
target_link_libraries(plasma_engine_ocs ${LIBATTICA_LIBRARIES} ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS}
  ${KDE4_PLASMA_LIBS} ${KDE4_SOLID_LIBS}  ${QT_QTNETWORK_LIBRARY} )

install(TARGETS plasma_engine_ocs DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-ocs.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES ocsPerson.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== dataengines/pastebin/CMakeLists.txt ===
project(pastebinengine)

set(pastebin_engine_SRCS
        backends/server.cpp
        backends/pastebinca.cpp
        backends/pastebincom.cpp
        backends/imagebinca.cpp
        backends/imageshack.cpp
        backends/simplestimagehosting.cpp
        pastebinengine.cpp
        pastebinservice.cpp)

kde4_add_plugin(plasma_engine_pastebin ${pastebin_engine_SRCS})
target_link_libraries(plasma_engine_pastebin
                      ${KDE4_KDECORE_LIBS}
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KIO_LIBS})

install(TARGETS plasma_engine_pastebin
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-engine-pastebin.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES pastebin.operations
        DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== libs/plasmaweather/CMakeLists.txt ===
set(plasmaweather_LIB_SRCS
    weatherpopupapplet.cpp
    weathervalidator.cpp
    weatherlocation.cpp
    weatherconfig.cpp
    weatherconfigsearch.cpp
    weatheri18ncatalog.cpp
)

set(plasmaweather_HEADERS
    weatherpopupapplet.h
    weathervalidator.h
    weatherconfig.h
    weatherlocation.h
    plasmaweather_export.h
)

kde4_add_ui_files(plasmaweather_LIB_SRCS
    weatherconfigsearch.ui
    weatherconfig.ui
)

kde4_add_library(plasmaweather SHARED ${plasmaweather_LIB_SRCS})

target_link_libraries(plasmaweather ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KUNITCONVERSION_LIBS} ${KDE4WORKSPACE_WEATHERION_LIBRARY} ${KDE4_KNEWSTUFF2_LIBS})
set_target_properties(plasmaweather PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
install(TARGETS plasmaweather ${INSTALL_TARGETS_DEFAULT_ARGS})
# nothing outside of kdeplasma-addons uses this library, and the API is not stable -> do not install headers!
#install(FILES ${plasmaweather_HEADERS} DESTINATION ${INCLUDE_INSTALL_DIR}/plasmaweather COMPONENT Devel)

install(FILES plasmaweather.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== runners/audioplayercontrol/CMakeLists.txt ===
set(krunner_audioplayercontrol_SRCS
    audioplayercontrolrunner.cpp
)

set(kcm_krunner_audioplayercontrol_SRCS
    audioplayercontrolrunner_config.cpp
)

kde4_add_ui_files(kcm_krunner_audioplayercontrol_SRCS audioplayercontrolrunner_config.ui)
kde4_add_plugin(kcm_krunner_audioplayercontrol ${kcm_krunner_audioplayercontrol_SRCS})
target_link_libraries(kcm_krunner_audioplayercontrol
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KUTILS_LIBS} 
    ${QT_QTCORE_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    )

kde4_add_plugin(krunner_audioplayercontrol ${krunner_audioplayercontrol_SRCS})
target_link_libraries(krunner_audioplayercontrol ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS})


install(TARGETS krunner_audioplayercontrol kcm_krunner_audioplayercontrol DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-runner-audioplayercontrol.desktop plasma-runner-audioplayercontrol_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== runners/mediawiki/CMakeLists.txt ===
set(krunner_mediawiki_SRCS
    mediawikirunner.cpp
    mediawiki.cpp
)

kde4_add_plugin(krunner_mediawiki ${krunner_mediawiki_SRCS})
target_link_libraries(krunner_mediawiki ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS krunner_mediawiki DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES
        plasma-runner-wikipedia.desktop
        plasma-runner-wikitravel.desktop
        plasma-runner-techbase.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

# doesn't seem to work, maybe XML API is disabled
#install(FILES plasma-runner-userbase.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/kimpanel/backend/scim/CMakeLists.txt ===
project(scim_panel_dbus)
set(QT_USE_QTGUI FALSE)
set(QT_USE_QTDBUS TRUE)
find_package(Qt4 REQUIRED)
include(${QT_USE_FILE})
find_package(SCIM REQUIRED)
add_definitions(-DQT_NO_KEYWORDS ${QT_DEFINITIONS})
remove_definitions(-DQT_NO_STL)
include_directories(${QT_INCLUDES} ${SCIM_INCLUDE_DIR})
set(SCIM_ICON_DIR "${PC_SCIM_PREFIX}/share/scim/icons")
set(SCIM_PANEL_INSTALL_DIR "${PC_SCIM_LIBDIR}/scim-1.0/")
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-scim.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-scim.h
   )
set(scim_panel_dbus_SRCS main.cpp)
set(scim_panel_dbus_MOC_SRCS "${CMAKE_CURRENT_BINARY_DIR}/main.moc")
qt4_generate_moc(${scim_panel_dbus_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/main.moc)
kde4_add_executable(scim-panel-dbus ${scim_panel_dbus_SRCS} ${scim_panel_dbus_MOC_SRCS})
target_link_libraries(scim-panel-dbus 
   ${QT_LIBRARIES}
   ${SCIM_LIBRARIES}
   )
install(TARGETS scim-panel-dbus
   DESTINATION ${SCIM_PANEL_INSTALL_DIR}
   )

## kdeplasma-addons 4.4.5

=== applets/frame/CMakeLists.txt ===
project(plasma-frame)

macro_optional_find_package(Kexiv2)
macro_log_feature(KEXIV2_FOUND "libkexiv2" "Library to access EXIF information" "http://www.kde.org" FALSE "0.2.0" "RECOMMENDED: Enables automatic rotation for frame applet" )

set(frame_SRCS
    frame.cpp
    slideshow.cpp
    picture.cpp
    configdialog.cpp)

kde4_add_ui_files(frame_SRCS imageSettings.ui appearanceSettings.ui)

macro_bool_to_01(KEXIV2_FOUND HAVE_KEXIV2)

kde4_add_plugin(plasma_applet_frame ${frame_SRCS})


if(HAVE_KEXIV2)
    include_directories( ${KEXIV2_INCLUDES} )
    set_source_files_properties(picture.cpp PROPERTIES
                               COMPILE_FLAGS -DHAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} ${KEXIV2_LIBRARIES} )
else (HAVE_KEXIV2)
    target_link_libraries(plasma_applet_frame ${KDE4_PLASMA_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KFILE_LIBS} )
endif(HAVE_KEXIV2)

install(TARGETS plasma_applet_frame DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-frame-default.desktop DESTINATION ${SERVICES_INSTALL_DIR})
#install(FILES picture-frame-default.jpg DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/widgets/)

install(FILES picture-frame-default.jpg DESTINATION ${DATA_INSTALL_DIR}/plasma-applet-frame/)

=== applets/nowplaying/CMakeLists.txt ===
project(plasma-applet-nowplaying)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})

set(nowplaying_SRCS
    nowplaying.cpp
    controls.cpp
    albumart.cpp
    infopanel.cpp)

kde4_add_plugin(plasma_applet_nowplaying ${nowplaying_SRCS})
target_link_libraries(plasma_applet_nowplaying  ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_nowplaying DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-nowplaying.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/pastebin/CMakeLists.txt ===
project(plasma-pastebin)

set(pastebin_SRCS
  pastebin.cpp)

kde4_add_ui_files(pastebin_SRCS pastebinConfig.ui)
kde4_add_ui_files(pastebin_SRCS pastebinServersConfig.ui)

kde4_add_plugin(plasma_applet_pastebin ${pastebin_SRCS})
target_link_libraries(plasma_applet_pastebin ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})

install(TARGETS plasma_applet_pastebin DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-pastebin.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES plasma_pastebin.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma_pastebin)

=== applets/qalculate/CMakeLists.txt ===
project(plasma-qalculate)

set(CMAKE_CXX_FLAGS "${KDE4_ENABLE_EXCEPTIONS} -Wno-deprecated")	
 
# We add our source code here
set(qalculate_SRCS 
	qalculate_applet.cpp
	qalculate_labels.cpp
	qalculate_settings.cpp
	qalculate_engine.cpp
	qalculate_history.cpp
    outputlabel.cpp
    qalculate_graphicswidget.cpp    
)
 
# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_qalculate ${qalculate_SRCS})
target_link_libraries(plasma_applet_qalculate 
${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS} ${KDE4_KIO_LIBS} ${QALCULATE_LIBRARIES} ${CLN_LIBRARIES})
 
install(TARGETS plasma_applet_qalculate
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-qalculate.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

install(FILES
icons/128x128/qalculate-applet.png
DESTINATION ${ICON_INSTALL_DIR}/hicolor/128x128/apps/)

install(FILES
icons/48x48/qalculate-applet.png
DESTINATION ${ICON_INSTALL_DIR}/hicolor/48x48/apps/)

=== applets/spellcheck/CMakeLists.txt ===
set(spellcheck_SRCS SpellCheck.cpp)

kde4_add_plugin(plasma_applet_spellcheck ${spellcheck_SRCS})
target_link_libraries(plasma_applet_spellcheck ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KUTILS_LIBS})

install(TARGETS plasma_applet_spellcheck DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-applet-spellcheck.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== dataengines/microblog/CMakeLists.txt ===
find_package(QCA2 REQUIRED)

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES}
${QT_QTNETWORK_INCLUDES} ${QT_QTXML_INCLUDES} ${QCA2_INCLUDE_DIR})

set(twitter_engine_SRCS
    imagesource.cpp
    oauth.cpp
    timelinesource.cpp
    twitterengine.cpp
)

kde4_add_plugin(plasma_engine_microblog ${twitter_engine_SRCS})
target_link_libraries(plasma_engine_microblog ${KDE4_KIO_LIBS}
${KDE4_PLASMA_LIBS} ${QT_QTXML_LIBS} ${QT_QTNETWORK_LIBS} ${QCA2_LIBRARIES})

install(TARGETS plasma_engine_microblog DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-dataengine-microblog.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install(FILES tweet.operations DESTINATION ${DATA_INSTALL_DIR}/plasma/services)

=== libs/rtm/CMakeLists.txt ===
project(librtm)

set( rtm_LIB_HEADERS
        rtm_export.h
        rtm.h
        request.h
        auth.h
        task.h
        session.h
        list.h
        note.h
        xmlreaders.h
        )

set( rtm_LIB_SRCS 
        session.cpp
        task.cpp
        list.cpp
        request.cpp
        auth.cpp
        xmlreaders.cpp
    )

kde4_add_library(rtm SHARED ${rtm_LIB_SRCS})
set_target_properties(rtm PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION})
target_link_libraries(rtm ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KDEWEBKIT_LIBS} ${QT_QTWEBKIT_LIBRARY})


#### FOR 4.3 we are not including the library as a stable platform, hence no exporting of headers

install(TARGETS rtm ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(TARGETS rtm EXPORT RtmExports ${INSTALL_TARGETS_DEFAULT_ARGS})
#install(EXPORT RtmExports DESTINATION ${DATA_INSTALL_DIR}/cmake/modules
#                             FILE RtmExportedLibraryTargets.cmake )

#install( FILES ${rtm_LIB_HEADERS}
#  DESTINATION ${INCLUDE_INSTALL_DIR}/rtm
#  COMPONENT Devel
#)

#install(FILES FindRTM.cmake DESTINATION ${DATA_INSTALL_DIR}/cmake/modules)

add_subdirectory(tests)

=== applets/lancelot/libs/lancelot/tests/CMakeLists.txt ===
project(LancelotTests)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

# include(PlasmaUIMacros)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${KDE4_INCLUDES}
   
   ${LANCELOT_INCLUDE_DIR}
)

# Lancelot application files
set(plasma_lancelot_tests_SRCS
  LancelotTestWindow.cpp
  LancelotTestApplication.cpp
  main.cpp
)

kde4_add_executable(lancelot-test ${plasma_lancelot_tests_SRCS})

target_link_libraries(lancelot-test ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${LANCELOT_LIBS})

install(TARGETS lancelot-test ${INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
kdeplasma-addons (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update descriptions
  * Update email address
  * Add qca2 to build deps

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 13:41:40 +0200

kdeplasma-addons (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Drop liblancelot-dev (popcon 7). Clearly not worth it.
  * Merge liblancelot0 into plasma-widget-lancelot. liblancelot.so.0 broke ABI
    without bumping a soname in KDE SC 4.5 again.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Drop debian/source/lintian-overrides, quilt-build-dep-but-no-series-file no
    longer relevant.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:18 +0300

kdeplasma-addons (4:4.4.3-1) unstable; urgency=low

  * New upstream release:
    - Image providers in picture frame now work correctly. (Closes: #577948)

  [ Modestas Vainius ]
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:56 +0300

kdeplasma-addons (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - blubblemon animates correctly. (Closes: #558787)
    - resolves some cyclical relayout crashes and some layout estetic
      problems. (Closes: #564912)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump kdepimlibs5-dev build dependency to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Change libkexiv2-7-dev build dependency to libkexiv2-dev (>= 4:4.4).
  * Add a symbol file for liblancelot0, build depend on dpkg-dev 1.15.5.
  * Make dpkg-gensymbols not to fail if there are lost symbols in liblancelot0.
  * Remove liblancelot0 to liblancelot0a, library is ABI/API incompatible.
  * Add ${misc:Depends} to all binary packages.

  [ George Kiagiadakis ]
  * Bump kdelibs5-dev build dependency to >= 4:4.4.
  * Bump kdebase-workspace-dev build dependency to >= 4:4.4.
  * Bump libmarble-dev build dependency to >= 4:4.4.
  * Add build dependency on shared-desktop-ontologies, libattica-dev,
    libscim-dev, libxtst-dev, libqalculate-dev, libxml2-dev.
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:40:08 +0300

kdeplasma-addons (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.
  * Update install files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:11 +0200

kdeplasma-addons (4:4.3.2-1) unstable; urgency=low

  * New upstream release.
  * Remove 01_fix_armel_build patch, merged upstream.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Oct 2009 19:43:05 +0200

kdeplasma-addons (4:4.3.1-2) unstable; urgency=low

  * Add patch to fix build failure. Thanks to ubuntu people to bring us the
    patch. Modified to use static_cast instead of c-style casts.

 -- Sune Vuorela <debian@pusling.com>  Wed, 09 Sep 2009 08:42:03 +0200

kdeplasma-addons (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by George Kiagiadakis:

  * Remove build dependency on libxcomposite-dev and libxdamage-dev
    as they are no longer needed for building lancelot compositing
    support.

  +++ Changes by Fathi Boudra:

  * Bump KDE build dependencies to 4.3.1.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 29 Aug 2009 17:48:16 +0300

kdeplasma-addons (4:4.3.0-2) unstable; urgency=low

  +++ Changes by George Kiagiadakis:

  * Add dependency on plasma-wallpapers-addons to kdeplasma-addons
    and kdeplasma-addons-dbg.
  * Move plasma_wallpaper_pattern.so to plasma-wallpapers-addons and
    make plasma-wallpapers-addons replace plasma-dataengines-addons for this.
  * Update installed files: install the bball widget icons.
  * Add build dependency on libxcomposite-dev, libxdamage-dev
    and libxrender-dev to build compositing support for lancelot.
  * Add myself to uploaders.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Bump to Standards-Version: 3.8.3 (no changes required).
  * Update copyright years.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 22 Aug 2009 15:53:02 +0200

kdeplasma-addons (4:4.3.0-1) unstable; urgency=low

  * New upstream release. 
  * Bump to Standards-Version: 3.8.2, no changes required.
  * Bump build dependencies to >= 4.3.0.
  * Update installed files.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Tue, 04 Aug 2009 09:20:58 +0200

kdeplasma-addons (4:4.2.96-1) experimental; urgency=low

  * New upstream release candidate.
    - New fancy background things, marble, fractals.

  +++ Changes by Sune Vuorela:

  * Drop patch to make it lancelot work with qt4.5, merged upstream

  +++ Changes by Modestas Vainius:

  * plasma-widgets-addons conflicts & replaces plasma-widget-weather.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 13 Jul 2009 12:39:34 +0300

kdeplasma-addons (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:
  * Fix section for debug package.


=== debian/control ===
Source: kdeplasma-addons
Section: utils
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>, George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4), kdebase-workspace-dev (>= 4:4.4),
 libqt4-opengl-dev, libboost-dev, libkexiv2-dev (>= 4:4.4), python, libmarble-dev (>= 4:4.4),
 libqimageblitz-dev, libeigen2-dev, libxrender-dev, shared-desktop-ontologies, libattica-dev,
 libscim-dev, libxtst-dev, libqalculate-dev, libxml2-dev, libqca2-dev
Standards-Version: 3.8.4
Homepage: http://plasma.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdeplasma-addons/#_trunk_packages_kdeplasma-addons_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdeplasma-addons

Package: kdeplasma-addons
Architecture: all
Section: kde
Depends: ${misc:Depends}, plasma-widgets-addons (>= ${source:Version}),
 plasma-runners-addons (>= ${source:Version}),
 plasma-widget-lancelot (>= ${source:Version}),
 plasma-wallpapers-addons (>= ${source:Version})
Description: addons for Plasma
 The KDE Plasma addons module is a collection of additional Plasma
 data engines, widgets and krunner plugins. It is part of
 the official KDE distribution.
 .
 This package is a metapackage that installs all the widgets, data
 engines and krunner plugins from the KDE Plasma addons module.

Package: plasma-widgets-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-dataengines-workspace,
 plasma-dataengines-addons (= ${binary:Version}),
Recommends: plasma-widget-lancelot
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, plasma-applets-addons, plasma-widget-weather
Conflicts: kdeplasma-addons-data, plasma-applets-addons, plasma-widget-weather
Description: additional widgets for Plasma
 This package contains additional Plasma widgets shipped in the Plasma
 addons module. Install it if you want a variety of widgets on your Plasma
 desktop.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-dataengines-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, kdeplasma-addons-libs4
Conflicts: kdeplasma-addons-data, kdeplasma-addons-libs4
Description: additional data engines for Plasma
 This package contains additional Plasma data engines shipped in Plasma
 addons module. These engines are needed by some plasma widgets
 Plasma widgets, but they may be useful for any other Plasma widget too.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-runners-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, kdeplasma-addons-libs4
Conflicts: kdeplasma-addons-data, kdeplasma-addons-libs4
Description: additional runners for Plasma and Krunner
 This package contains additional Plasma runners that are used in krunner
 (the "run command" dialog of Plasma) to reveal special search results.
 If you use krunner a lot, you will probably like this package.
 .
 This package is part of the KDE Plasma addons module.

Package: plasma-wallpapers-addons
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: plasma-dataengines-addons (<= 4:4.3.0-1)
Description: additional wallpaper plugins for Plasma
 This package contains additional Plasma wallpaper plugins that are used in 
 the Plasma desktop to give marble, mandelbrot and other such wallpapers.
 This package is part of the KDE Plasma addons module.

Package: plasma-widget-lancelot
Architecture: any
Section: kde
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kdeplasma-addons (<= 4:4.1.87+svn905624-0r1), kdeplasma-addons-data, plasma-applet-lancelot,
 deplasma-addons-libs4, liblancelot0, liblancelot0a
Conflicts: kdeplasma-addons-data, plasma-applet-lancelot, kdeplasma-addons-libs4,
 liblancelot0, liblancelot0a
Description: lancelont widget for Plasma
 Lancelot is an application launcher menu (or ALI) for Plasma designed to
 provide a place from which all your jobs begin. It provides quick access
 to applications, places, documents, contacts and system information.
 .
 This package is part of the KDE Plasma addons module.

Package: kdeplasma-addons-dbg
Section: debug
Architecture: any
Priority: extra
Conflicts: kdeplasmoids-dbg
Replaces: kdeplasmoids-dbg
Depends: ${misc:Depends}, plasma-widgets-addons (= ${binary:Version}), plasma-dataengines-addons (= ${binary:Version}),
 plasma-runners-addons (= ${binary:Version}), plasma-widget-lancelot (= ${binary:Version}),
 plasma-wallpapers-addons (= ${binary:Version}), kdebase-workspace-dbg
Description: debugging symbols for kdeplasma-addons
 This package contains the debugging symbols associated with kdeplasma-addons.
 They will automatically be used by gdb for debugging kdeplasma-addons related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_liblancelot0 := -V -u-c0

clean::
	find applets/lancelot/tools/puck -name *.pyc -delete
